/*******************************************************************
 *
 *    DESCRIPTION: project.c  DLL to place name of current project in 
 *				frame window's title bar.
 *
 *    AUTHOR:  James C. Farwell
 *
 *    HISTORY:    Version 1.0
 *
 *******************************************************************/

/** include files **/
#include <windows.h>
#include "exports.h"
#include "cwstart.h"

/** private data **/

// Static LPSTR for use by AttachProject() and ProjCaptionStyle()
// Persistent style
static LPSTR PersStyle=NIL; 

/** public functions **/


LIBMAIN    /* defines the LibMain() function for Borland C */



/* When this DLL is first loaded either by LibPreLoad() or LibAutoLoad(),
 * the function _init() is invoked.  Within this function, all DLL specific
 * initialization should be performed such as:
 *
 *         - Defining any module global keystrokes or keymaps to be used
 *         - Exporting any functions to be accessed through LibFunctionExec()
 *         - Autoloading any other DLLs.
 *
 */
void DLL 
_init()
{
	/* Place all 'LibExport' calls here.
	 */
	LibExport( "int AttachProject LONG LONG" );
	LibExport( "int RemoveProject LONG LONG" );
	LibExport( "void ProjCaptionStyle LPSTR" );

	PersStyle=StrNew("%r");
																						   
	EventRegister(EVENT_PROJECT_OPENED, EVENT_NORMAL, "AttachProject");
	EventRegister(EVENT_PROJECT_CLOSING, EVENT_NORMAL, "RemoveProject");
}

/*int CALLBACK
WEP(int nExitType) 
{
	StrFree(PersStyle);

	return 1;
	
} */

// Places Project name in Frame title bar
//
int DLL
AttachProject(LONG eventID, LONG data)
{
	
	SetWindowText(WinQHFrame(), TransformFilename(ProjQCurrent(), PersStyle));

	return 0;
}						   

//	Returns Frame Text to normal
//
LPSTR DLL
RemoveProject(LONG eventID, LONG data)
{
	SetWindowText(WinQHFrame(),"Codewright");

	return 0;
}

// Allows user config of Project caption
//
void DLL
ProjCaptionStyle(LPSTR style)
{
	if(style && *style)
		PersStyle=StrNew(style);

	if(ProjQCurrent())
		SetWindowText(WinQHFrame(), TransformFilename(ProjQCurrent(), PersStyle));
		
}
	

