#
# Configuration items.
#
# If WIN32, either define the environment variable CPU or WIN32 within this makefile
#

!if "$(CPU)" != ""
WIN32=1
x32=32
!endif

PROJ=project

.AUTODEPEND

#		*Translator Definitions*
CC = bcc$(x32) +$(PROJ).CFG
TASM = tasm
TLIB = tlib
TLINK = tlink$(x32)
# Edit the following line to reflect the location of Codewright
CWPATH = C:\Cwrighte
# Edit the following line to reflect the location of Borland C++
BORPATH = C:\BC45
# Include Borland versions of Import Libraries (run IMPLIB)
LIBPATH = $(BORPATH)\LIB;$(CWPATH)\LIB
INCLUDEPATH = $(BORPATH)\INCLUDE;$(CWPATH)\INCLUDE;$(CWPATH)\CWSTART


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
 $(PROJ)$(x32).def \
 $(PROJ).obj 

#		*Explicit Rules*
$(PROJ).dll: $(PROJ).cfg $(EXE_dependencies)
!ifdef WIN32
  $(TLINK)  /Tpdv /L$(LIBPATH) @&&|
c0d32.obj+
$(PROJ).obj
$(PROJ).dll,
# no map file
cwdll32.lib+
cwstart.lib+
import32.lib+
cw32.lib
$(PROJ)$(x32).def
|

!else
  $(TLINK) /v/x/P-/Twd/L$(LIBPATH) @&&|
c0dl.obj+
$(PROJ).obj
$(PROJ).dll
		# no map file
cwright.lib+
cwstart.lib+
wstdio.lib+
mathwl.lib+
import.lib+
cwl.lib
$(PROJ).def
|
  RC $(PROJ).dll
!endif

#		*Individual File Dependencies*
$(PROJ).obj: $(PROJ).cfg $(PROJ).c 

#		*Compiler Configuration File*
$(PROJ).cfg: $(PROJ).mak
!ifdef WIN32
  copy &&|
-4
-v
-vi
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
| $(PROJ).cfg

!else
  copy &&|
-R
-ml!
-2
-v
-WD
-vi-
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
| $(PROJ).cfg
!endif

